---
type: api
title: Update security deployment
description: Updates an existing security deployment configuration.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/operation/operation-update-security-deployment
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/operation/operation-update-security-deployment
products:
  - Elastic Cloud Enterprise
---

# Update security deployment

## Paths

- `PUT` `/platform/configuration/security/deployment`

- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/authentication#basicauth)
- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/authentication#apikey)

## Description

Updates an existing security deployment configuration.

## Request Body

`application/json`

The update request

- `version` (string) — optional
  The version of Elasticsearch to upgrade to. When not included, no upgrade is performed.
- `topology` ({} SecurityDeploymentTopology) — optional
  The cluster topology for the Elasticsearch security deployment.
  - `size` ({} TopologySize) — optional
    Measured by the amount of a resource. The final cluster size is calculated using multipliers from the topology instance configuration.
    - `value` (integer) — required
      Amount of resource
    - `resource` (enum) — required
      Type of resource. In ESS the resource used should always be `memory`.
      Values: `memory`, `storage`
  - `zone_count` (integer) — optional
    The number of zones in which data nodes will be placed

## Responses

#### `200`

The security deployment was successfully updated

`application/json`

- `id` (string)
  The ID
##### Response Headers

- `x-cloud-resource-version` (string)
  The resource version, which is used to avoid update conflicts with concurrent operations
- `x-cloud-resource-created` (string)
  The date-time when the resource was created (ISO format relative to UTC)
- `x-cloud-resource-last-modified` (string)
  The date-time when the resource was last modified (ISO format relative to UTC)

#### `404`

The security deployment was not found. (code: `security_deployment.not_found`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

#### `409`

* There is a version conflict. (code: `security_deployment.version_conflict`)
* There is a version conflict. (code: `security_deployment.already_exists`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
PUT /platform/configuration/security/deployment
```

#### curl

```curl
curl -X PUT "/platform/configuration/security/deployment"
```

